Firefox 61: ha fallat la correcció de la connexió segura

Si us heu actualitzat a la d’ahir Firefox 61 nou versió que pot haver rebut un error de connexió segura ha fallat en intentar connectar-se a aquest mateix lloc i a d’altres.

El missatge d'error diu:

Ha fallat la connexió segura
S'ha produït un error durant la connexió a [nom del lloc]. SSL va rebre un registre que superava la longitud màxima admissible. Codi d'error: SSL_ERROR_RX_RECORD_TOO_LONG.
La pàgina que intenteu veure no es pot mostrar perquè no s'ha pogut verificar l'autenticitat de les dades rebudes.
Poseu-vos en contacte amb els propietaris del lloc web per informar-los d’aquest problema.

A continuació, es mostra una captura de pantalla de l’error quan s’intenta connectar al lloc mitjançant Firefox 61.

firefox secure connection failed

Sabem fins ara que el problema està relacionat amb l'establiment d'una connexió segura, però no és clar només llegir el missatge si es tracta d'un problema de lloc, un problema del navegador o causat per un programa que interfereixi amb la connexió.

Les versions anteriors de Firefox no llancen el missatge d'error. Mozilla va revelar al canvi de canvis que permetia l'últim esborrany de l'especificació TLS 1.3. Vam revisar el canvi a l’abril del 2018 i podeu comprovar fàcilment quina versió de TLS és compatible carregant sobre: ​​config? Filter = security.tls.version a la barra d’adreces de Firefox. Comproveu el valor security.tls.version.maximum; hauria de llegir 4 que és el nou màxim. Les versions anteriors de Firefox utilitzaven el valor 3 allà.

firefox tls version

De fet, si canvieu el valor a 3, desapareixerà l'error. Podeu tornar a accedir a qualsevol lloc i l’error fallit de la connexió segura ja no es mostra.

Tot i que podeu fer-ho, potser voldreu saber més informació sobre el problema que causa que les connexions segures fallin al Firefox 61.

Actualització: abans de continuar amb les instruccions següents, proveu el següent a Firefox per veure si resol el problema al vostre final:

  1. Obert sobre: ​​preferències # privadesa al navegador.
  2. Desplaceu-vos cap a la secció Certificats i feu clic a 'Veure certificats'.
  3. Assegureu-vos que està seleccionada la pestanya Autoritats.
  4. Localitzeu certificats Avast i utilitzeu l’opció de suprimir per eliminar-los
  5. Utilitzeu el botó d'importació per importar els certificats de C: ProgramData Programari AVAST Avast wscert.dat

És probable que tingueu instal·lat Avast, AVG o un altre programari de seguretat instal·lat al dispositiu que interfereixi amb el trànsit HTTPS.

Si utilitzeu Avast, podeu desactivar la rastreig HTTPS de la part del protector web del programari de seguretat per resoldre el problema sense deixar anar la versió TLS màxima al Firefox del 4 al 3.

Aquí és com es fa això:

Feu doble clic sobre la icona del programari Avast a l’àrea de la safata del sistema per mostrar la interfície principal de l’aplicació.

Seleccioneu Menú> Configuració per mostrar totes les preferències del programa.

Canvieu a la secció Components de la barra lateral.

Seleccioneu l'enllaç de personalització que apareix per al component de l'Escut Web.

avast web shield

Localitzeu 'Habilita l'exploració HTTPS' i desmarqueu la casella.

avast web shield disable https

Seleccioneu ok per desar el canvi i ok a la pàgina següent per tornar a la interfície principal.

Quan intenteu carregar llocs que no han pogut carregar a Firefox 61 anteriorment, notareu que els llocs es carreguen bé.

Altres solucions de seguretat poden utilitzar components similars que interfereixin amb el trànsit HTTPS. Si no executeu Avast, intenteu trobar una opció a la configuració per a la secció d’exploració HTTPS per resoldre el problema.

Ara tu : Heu trobat problemes amb connexió segura amb connexió amb Firefox 61?